//var HTTP_DOMAIN = "http://127.0.0.1:7001";
//var HTTP_DOMAIN = "http://mccappldev.uplus.co.kr:39080";
//var MENU_URL = HTTP_DOMAIN+"/front/menu/retrieveMenuListCmd.upa";


 

// 로딩바 생성
function fnShowProgress(){
	try{
		window.LGMOBILE.onWebload(true); 
	}catch(e){}
	
}

//로딩바 제거
function fnHideProgress(){
	try{
		window.LGMOBILE.onWebload(false); 
	}catch(e){}
	
}


//load menu data
function loadMenuData(gubun, callback, userType) {

	//var userType="";
	var userTypeChan=0;
	
/*	//get userType
	try{
		userType=window.LGMOBILE.getUserData(26);
	}catch(e){	
		console.log("loadMenuData",e.message);
		userType="JT003";
	}*/
	
	if(userType==null || userType==='undefined'|| userType==""){
		userType="JT000";
	}
	
	//JT001 - 모바일만, JT002 - 유선만, JT003 - 070고객, JT004-유무선, JT005- 간편로그인
	switch(userType){
		case "JT000":
			userTypeChan=1;
			break;
		case "JT001":
			userTypeChan=3;
			break;
		case "JT002":
			userTypeChan=5;
			break;
		case "JT003":
			userTypeChan=4;
			break;
		case "JT004":
			userTypeChan=3;
			break;
		case "JT005":
			userTypeChan=2;
			break;
		default:
			userTypeChan=1;
			break;			
	}
	
	if(gubun=="" || gubun==null){
		gubun="M";
	}
	
	//alert(userTypeChan)
	//set param -> T: 전체, R: 신청변경, F : 즐겨찾기, C : 추천메뉴, M : 메인	
	var param = {
			userType : userTypeChan,
			gubun : gubun,
			userTypeOri : userType
		};
	
	//loading bar 시작
	fnShowProgress();
	//alert(JSON.stringify(param))
	$.ajax({
		type: 'POST',
		data: param,
		async:true,
		dataType: 'json', 
		url : MENU_URL,
		beforeSend: function(){
			
		}
 	}).done(function(result, textStatus, xhr){
		callback(result);
 	}).fail(function(result, textStatus, xhr){
 		 window.LGMOBILE.onExit(2004); //2004 : 에러에 의한 종료
 		//alert(JSON.stringify(result));
 		//alert("loadMenuData =>" + textStatus)
 	}).always(function(result, textStatus, xhr){
 		//loading bar 끝
 		fnHideProgress();
 	});
}




//load Submenu data
function loadSubMenuData(menuType, callback, userType) {
	//var userType="";
	var userTypeChan=0;
	
	if(userType==null || userType==='undefined'|| userType==""){
		userType="JT000";
	}
	
	
	//JT001 - 모바일만, JT002 - 유선만, JT003 - 070고객, JT004-유무선, JT005- 간편로그인
	switch(userType){
		case "JT000":
			userTypeChan=1;
			break;
		case "JT001":
			userTypeChan=3;
			break;
		case "JT002":
			userTypeChan=5;
			break;
		case "JT003":
			userTypeChan=4;
			break;
		case "JT004":
			userTypeChan=3;
			break;
		case "JT005":
			userTypeChan=2;
			break;
		default:
			userTypeChan=1;
			break;			
	}
	
	if(menuType=="" || menuType==null){
		menuType="M";
	}
	

	//set param -> menuTYpe M: 추천메뉴, C: 추천상품, E : 이벤트	
	var param = {
			userType : userTypeChan,
			menuType : menuType,
			userTypeOri : userType
		};
	
	//loading bar 시작
	fnShowProgress();

	$.ajax({
		type: 'POST',
		data: param,
		async:true,
		dataType: 'json', 
		url : SUB_MENU_URL,
		beforeSend: function(){
		}
	}).done(function(result, textStatus, xhr){
		callback(result);
	}).fail(function(result, textStatus, xhr){
		  //alert("네트워크 연결 상태가 원활하지 않습니다. 잠시후 다시 접속해주시기 바랍니다.!!!");
          //alert 이후에 종료가 되는지?
          window.LGMOBILE.onExit(2004); //2004 : 에러에 의한 종료
		//alert(JSON.stringify(result));
		//alert("loadSubMenuData =>" + textStatus)
	}).always(function(result, textStatus, xhr){
		//loading bar 끝
		fnHideProgress();
	});
}






/*
 * 추천메뉴 조회(고도화 2차)
 * 
 * menutypeOrder1 - 연체고객
 * menuTypeOrder2 - 청소년
 * menuTypeOrder3 - 해지 위험 고객
*/
function loadRecommendMenuList(callback, userType, menuTypeOrder1,menuTypeOrder2, menuTypeOrder3) {

	var userTypeChan=0;
	
	if(userType==null || userType==='undefined'|| userType==""){
		userType="JT000";
	}
	
	
	//JT001 - 모바일만, JT002 - 유선만, JT003 - 070고객, JT004-유무선, JT005- 간편로그인
	switch(userType){
		case "JT000":
			userTypeChan=1;
			break;
		case "JT001":
			userTypeChan=3;
			break;
		case "JT002":
			userTypeChan=5;
			break;
		case "JT003":
			userTypeChan=4;
			break;
		case "JT004":
			userTypeChan=3;
			break;
		case "JT005":
			userTypeChan=2;
			break;
		default:
			userTypeChan=1;
			break;			
	}
	
	
	//우선순위 1 - 연체고객
	if(menuTypeOrder1=="" || menuTypeOrder1==null){
		menuTypeOrder1="N";
	}
	
	//우선순위 2 - 청소년
	if(menuTypeOrder2=="" || menuTypeOrder2==null){
		menuTypeOrder2="N";
	}
	
	//우선순위 3 - 해지 위험 고객(해지위험등급에서 단말 등록일 기준으로 변경, 20150522)
	//alert(menuTypeOrder3);
	/*if(menuTypeOrder3!=null){
		if(menuTypeOrder3.length!=8){
			menuTypeOrder3="";
		}
	}else{
		menuTypeOrder3="";
	}*/
	
	
	
	//set param -> menuTYpe M: 추천메뉴, C: 추천상품, E : 이벤트	
	var param = {
			userType : userTypeChan,
			menuTypeOrder1 : menuTypeOrder1,
			menuTypeOrder2 : menuTypeOrder2,
			menuTypeOrder3 : menuTypeOrder3
		};
	
	//alert("before recommendCmd");
	//alert(JSON.stringify(param));
	//loading bar 시작
	fnShowProgress();
	$.ajax({
		type: 'POST',
		data: param,
		async:true,
		dataType: 'json', 
		url : RECOMMEND_MENU_URL,
		beforeSend: function(){
		}
	}).done(function(result, textStatus, xhr){
		callback(result);
	}).fail(function(result, textStatus, xhr){
		alert("error => " + JSON.stringify(result));
		
	}).always(function(result, textStatus, xhr){
		//loading bar 끝
		fnHideProgress();
	});
}




/*
 * 추천상품 조회(고도화 2차)
 * 
*/

function loadRecommendProductList(callback, userType, svcCd, dataUsage){
	var userTypeChan=0;
	var userType1=userType;
	var isExcess="N";
	

	
	if(userType==null || userType==='undefined'|| userType==""){
		userType="JT000";
	}
	
	//JT001 - 모바일만, JT002 - 유선만, JT003 - 070고객, JT004-유무선, JT005- 간편로그인
	switch(userType){
		case "JT000":
			userTypeChan=1;
			break;
		case "JT001":
			userTypeChan=3;
			break;
		case "JT002":
			userTypeChan=5;
			break;
		case "JT003":
			userTypeChan=4;
			break;
		case "JT004":
			userTypeChan=3;
			break;
		case "JT005":
			userTypeChan=2;
			break;
		default:
			userTypeChan=1;
			break;			
	}
		 
	if(dataUsage<=20){
		isExcess="Y";
	}


	//set param -> menuTYpe M: 추천메뉴, C: 추천상품, E : 이벤트	
	var param = {
			userType : userTypeChan,
			userType1 : userType1,
			svcCd : svcCd,
			isExcess : isExcess			
		};
	
	//loading bar 시작
	fnShowProgress();
	$.ajax({
		type: 'POST',
		data: param,
		async:true,
		dataType: 'json', 
		url : RECOMMEND_PRODUCT_URL,
		beforeSend: function(){
		}
	}).done(function(result, textStatus, xhr){
		callback(result);
	}).fail(function(result, textStatus, xhr){
		alert("error => " + JSON.stringify(result));
	}).always(function(result, textStatus, xhr){
		//loading bar 끝
		fnHideProgress();
	});
}
