/*------------------------------------------------------------------
 * PROJ : U+고객센터 APP 2.0 Prj.
 * NAME : menu_link.js
 * DESC : 메뉴별 링크 및 앱실행 URL
 * Author : ChoiHyeRan
 * Date : 2013.05.02
 * Copyright 2013 LG U+ All rights reserved
 *------------------------------------------------------------------*/

/*main.html이 client asset으로 들어갈 경우 domain*/
// PROD
var domain="https://mccappl.uplus.co.kr:39043";
// DEV
//var domain="http://mccappldev.uplus.co.kr:39080";

var versionName = window.LGMOBILE.getAppVersionName();  //클라이언트 버전

//================== 1.요금조회 ==================
var charge_menu1="/front/charge/retrieveFreeRemainderCmd.upa";                //기본제공 잔여량
var charge_menu2="/front/charge/retrieveRealtimeBillCmd.upa";                 //실시간 요금
var charge_menu3="/front/charge/retrieveMonthlyUseCmd.upa";                   //월별 사용량
var charge_menu4="/front/charge/retrievePadFreeRemainderCmd.upa";             //패드플러스 결합내역
var charge_menu5="/front/charge/retrieveChildChargeSearchListCmd.upa";        //자녀요금조회 인증
var charge_menu6="/front/charge/retrieveChildChargeMonthDataCmd.upa";         //자녀요금조회 월별사용량
var charge_menu7="/front/charge/retrieveChildRealtimeBillCmd.upa";            //자녀요금조회 실시간요금
var charge_menu8="/front/charge/retrieveChildDetailBillViewCmd.upa";          //자녀요금조회 청구내역 조회
var charge_menu9="/front/charge/retrieveChildFreeRemainderCmd.upa";           //자녀요금조회 기본제공잔여량
var charge_menu10="/front/charge/retrieveMicroPaymentCmd.upa";        		  //소액결제

//================== 2.청구조회 ==================
var bill_menu1="/front/claim/retrieveBillViewEntrListCmd.upa";                //청구정보
var bill_menu2="/front/claim/retrieveBillViewCmd.upa";                        //청구요금(상세그래프)
var bill_menu3="/front/claim/retrieveDetailBillViewCmd.upa";                  //청구내역(상세)
var bill_menu4="/front/claim/retrieveBillPaymentViewCmd.upa";                 //납부조회
var bill_menu5="/front/claim/retrieveBillChgCmd.upa";                         //청구납부변경
var bill_menu6="/front/claim/retrieveVirtualAcctNoListCmd.upa";               //입금전용계좌 조회
var bill_menu7="/front/claim/retrieveBillPaymentMethodCmd.upa";               	  //청구서 수령방법 변경

//================== 3.My U+ ==================
var myinfo_menu1="/front/my/retrieveRegInfoCmd.upa";                          //가입정보
var myinfo_menu2="/front/my/retrieveUsingServiceCmd.upa";                     //이용중서비스
var myinfo_menu3="/front/my/retrieveInstallmentInfoCmd.upa";                  //할부약정정보
//var myinfo_menu4="/front/my/retrieveCouponCmd.upa";                           //영화쿠폰조회
var myinfo_menu4="/front/my/retrieveSuspendListCmd.upa";                           //일시정지

//================== 4.멤버쉽/포인트 ==================
var membership_menu1="/front/member/retrieveMembershipCmd.upa";               //멤버십조회
var membership_menu2="/front/member/retrieveMbspCardAgrCmd.upa";        //멤버십 카드신청
var membership_menu3="/front/member/retrieveMembershipCardIssueTermCmd.upa";        //멤버십 카드신청 이용약관
var membership_menu4="/front/member/confirmMbspCardInputCmd.upa";        //멤버십 카드신청 사용자정보 입력
var membership_menu5="/front/member/retrieveMembershipEzPointCmd.upa";        //ez포인트조회

//================== 5.모바일서비스신청/변경 ==================
var service_menu1="/front/tariff/retrieveTariffListCmd.upa";                  //요금제
var service_menu2="/front/tariff/retrieveSupplementaryServiceListCmd.upa";    //부가서비스
var service_menu3="/front/tariff/retrieveCombinationServiceDetailCmd.upa";          //결합상품

//================== 6.유선(홈)상품 안내 ==================
var cable_menu1="/front/home/retrieveHomeListCmd.upa";               		//유선(홈)상품, 070부가서비스

//================== 7.자주하는질문 ==================
var erms_menu1="/front/ask/retrieveFaqCmd.upa";                               //자주찾는질문
var erms_menu2="/front/ask/retrieveMailQuestionCmd.upa";                      //이메일상담
var erms_menu3="/front/ask/retrieveMailAnswerCmd.upa";                        //이메일상담내역

//================== 8.직영점/폰분실신고 ==================

var ds_menu1="/front/shop/retrieveShopCmd.upa";                               //가까운 직영점 찾기
var ds_menu2="/front/shop/retrieveShopCmd.upa";                               //폰분실/일시정지
var ds_menu3="/front/shop/retrieveAsCenterCmd.upa";                           //제조사 A/S센터

//================== 9.글로벌로밍 ==================
var roaming_menu1="/front/roaming/retrieveRoamingCountrySearchCmd.upa";       //로밍국가검색
var roaming_menu2="/front/roaming/retrieveRoamingCenterCmd.upa";              //공항로밍센터
var roaming_menu3="/front/roaming/retrieveRoamingAddSrListCmd.upa";           //로밍부가서비스

//================== 91.메뉴 ==================
var common_menu1="/front/main/retrieveNoticeCmd.upa";                         //공지사항  
var common_menu2="/front/main/retrieveAppMainCmd.upa";    //U+APP 
var common_menu3="/front/event/retrieveEventListCmd.upa";    //이벤트
var common_menu4="/front/setup/retrieveSetupCmd.upa";    //설정

var common_menu5="/front/favorite/retrieveFavoriteCmd.upa";                   //즐겨찾기
var common_menu6="/front/main/retrieveTermsCmd.upa";                   //이용약관

//================== 92.비밀번호 설정/변경 ==================
var passwd_setup="/jsp/login/passwdInfo.jsp";                                 //비밀번호 설정/변경

//================== 93.설정 ==================
var setup_menu1="/front/setup/retrieveUserAgreeSetupCmd.upa";    				//개인정보 수집.이용 동의
var setup_menu2="/front/setup/retrieveAgreeInfoCmd.upa";    					//위치기반 정보제공 및 광고전송 서비스 동의

//================== 99.본인인증 ==================
var auth_menu1="/front/main/confirmAuthCmd.upa";                              //신용카드/아이핀 인증 선택
var auth_menu2="/front/main/retrieveCardAuthCmd.upa";                         //신용카드 인증
var auth_menu3="/front/main/retrieveIpinAuthCmd.upa";                         //아이핀 인증

//==================약관 동의====================================
var user_agreeYn ="/front/login/agreeInfomationCmd.upa";

//==================소액결제====================================
var micro_pay ="/front/charge/retrieveMicroPayCheckCmd.upa";
var micro_pay2 ="/front/charge/retrieveMicroPaymentCmd.upa";

//==================배너상세보기====================================
var banner_detail_url ="/front/tariff/retrieveSupplementaryServiceDetailAdvCmd.upa?pdCategoryCode=MII01&pdSeq=3402&usid=";

var search_menu_url ="/front/menu/menuSearchCmd.upa";

var forme_url ="/front/event/retrieveForMeCmd.upa";
var formeD0_url ="/front/event/retrieveForMeDetailCmd.upa";
var formeD1_url ="/front/event/retrieveForMeDetail1Cmd.upa";
var formeD2_url ="/front/event/retrieveForMeDetail2Cmd.upa";
var formeD3_url ="/front/event/retrieveForMeDetail3Cmd.upa";

//홈
function home(){ 
					//하단바 보이기
					window.LGMOBILE.onBottomMenuVisibillity(true);
					
					window.LGMOBILE.onWebload(true);
					
					//if(window.LGMOBILE.getUserData(1).length > 0) {
					//	window.location.href="/html/main/main.html?url=home";
					//} else {
					//	window.location.href="/html/main/main.html?url=main";
					//}
					//상단 홈버튼 버전별 분기 처리
					if(window.LGMOBILE.getAppVersionName() != '3.00.01'){
						if(window.LGMOBILE.getUserData(1).length > 0) {
							window.LGMOBILE.goMain(true);
						} else {
							window.LGMOBILE.goMain(false);
						}
					}else{
						if(window.LGMOBILE.getUserData(1).length > 0) {
							window.location.href="/html/main/main.html?url=home";
						} else {
							window.location.href="/html/main/main.html?url=main";
						}
					}
				}

//홈
function errorSession(){ 
					//하단바 보이기
					window.LGMOBILE.onBottomMenuVisibillity(true);
					
					window.LGMOBILE.onWebload(true);

					//window.location.href="/html/main/main.html?url=main";
					
					/*asset에서 호출*/
					window.LGMOBILE.goMain(false);
				}

function search(){window.location.href=domain+"/front/ask/retrieveFaqCmd.upa"; }

//==========================================================================================================================
//|     1.요금조회-Native용
//--------------------------------------------------------------------------------------------------------------------------
function charge_app_01() {	window.location.href=domain+charge_menu1+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//기본제공 잔여량
function charge_app_02() {	window.location.href=domain+charge_menu3+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//월별 사용량
function charge_app_03() {	window.location.href=domain+charge_menu2+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//실시간 요금
function charge_app_04() {	window.location.href=domain+charge_menu10+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//소액결제
//--------------------------------------------------------------------------------------------------------------------------
//|     1.요금조회-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function charge_01(){ window.location.href=charge_menu1; }				                                                                //기본제공 잔여량
function charge_02(){ window.location.href=charge_menu2; }					                                                            //실시간요금
function charge_03(){ window.location.href=charge_menu3; }					                                                            //월별사용량
function charge_04(){ window.location.href=charge_menu4; }		                                                                    	//패드플러스 결합내역
function charge_05(){ window.location.href=charge_menu5; }	                                                                      		//자녀요금조회 인증
function charge_06(){ window.location.href=charge_menu6; }	                                                                      		//자녀요금조회 월별사용량
function charge_07(){ window.location.href=charge_menu7; }			                                                                  	//자녀요금조회 실시간요금
function charge_08(){ window.location.href=charge_menu8; }			                                                                  	//자녀요금조회 청구내역 조회
function charge_09(){ window.location.href=charge_menu9; }		                                                                    	//자녀요금조회 기본제공잔여량
//--------------------------------------------------------------------------------------------------------------------------
//|     1.요금조회-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function charge_app_sitemap_01() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+charge_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}   //기본제공 잔여량
function charge_app_sitemap_02() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+charge_menu3+"?usid="+window.LGMOBILE.getUserData(1));	}   //월별 사용량
function charge_app_sitemap_03() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+charge_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}   //실시간 요금
function charge_app_sitemap_04() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+charge_menu5+"?usid="+window.LGMOBILE.getUserData(1));	}   //자녀요금조회 인증
function charge_app_sitemap_05() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+charge_menu10+"?usid="+window.LGMOBILE.getUserData(1));	}   //자녀요금조회 인증
//==========================================================================================================================

//==========================================================================================================================
//|     2.청구조회-Native용
//--------------------------------------------------------------------------------------------------------------------------
function bill_app_01() {	window.location.href=domain+bill_menu1+"?usid="+window.LGMOBILE.getUserData(1);	}                       	//청구정보
function bill_app_02() {	window.location.href=domain+bill_menu2+"?usid="+window.LGMOBILE.getUserData(1);	}                       	//청구요금(상세그래프)
function bill_app_03() {	window.location.href=domain+bill_menu4+"?usid="+window.LGMOBILE.getUserData(1);	}                       	//납부조회
function bill_app_04() {	window.location.href=domain+bill_menu5+"?usid="+window.LGMOBILE.getUserData(1);	}                       	//청구납부변경
//--------------------------------------------------------------------------------------------------------------------------
//|     2.청구조회-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function bill_01(){ window.location.href=bill_menu1;  }	                                                                          	//청구정보
function bill_02(){ window.location.href=bill_menu2;  }			                                                                    //청구요금(상세그래프)
function bill_03(){ window.location.href=bill_menu3;  }		                                                                        //청구내역(상세)
function bill_04(){ window.location.href=bill_menu4;  }		                                                                        //납부조회
function bill_05(){ window.location.href=bill_menu5;  }				                                                                //청구납부변경
function bill_06(){ window.location.href=bill_menu6;  }	                                                                          	//입금전용계좌 조회
function bill_07(){logCall('30000000114');}									                                                        //Mpost 앱실행(수정하지 말것)
//--------------------------------------------------------------------------------------------------------------------------
//|     2.청구조회-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function bill_app_sitemap_01() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+bill_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}       //청구정보
function bill_app_sitemap_02() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+bill_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}       //청구요금(상세그래프)
function bill_app_sitemap_03() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+bill_menu4+"?usid="+window.LGMOBILE.getUserData(1));	}       //납부조회
function bill_app_sitemap_04() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+bill_menu5+"?usid="+window.LGMOBILE.getUserData(1));	}       //청구납부변경
//==========================================================================================================================

//==========================================================================================================================
//|     3.My U+-Native용
//--------------------------------------------------------------------------------------------------------------------------
function myinfo_app_01() {	window.location.href=domain+myinfo_menu1+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//가입정보
function myinfo_app_02() {	window.location.href=domain+myinfo_menu2+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//이용중서비스
function myinfo_app_03() {	window.location.href=domain+myinfo_menu3+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//할부약정정보
function myinfo_app_04() {	window.location.href=domain+myinfo_menu4+"?usid="+window.LGMOBILE.getUserData(1);	}                   	//영화쿠폰조회
//--------------------------------------------------------------------------------------------------------------------------
//|     3.My U+-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function myinfo_01(){ window.location.href=myinfo_menu1; }			                                                                  	//가입정보
function myinfo_02(){ window.location.href=myinfo_menu2; }		                                                                    	//이용중서비스
function myinfo_03(){ window.location.href=myinfo_menu3; }	                                                                      		//할부약정정보
function myinfo_04(){ window.location.href=myinfo_menu4; }			                                                                  	//영화쿠폰조회
//--------------------------------------------------------------------------------------------------------------------------
//|     3.My U+-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function myinfo_app_sitemap_01() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+myinfo_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}  	//가입정보
function myinfo_app_sitemap_02() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+myinfo_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}  	//이용중서비스
function myinfo_app_sitemap_03() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+myinfo_menu3+"?usid="+window.LGMOBILE.getUserData(1));	}  	//할부약정정보
function myinfo_app_sitemap_04() {	if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+myinfo_menu4+"?usid="+window.LGMOBILE.getUserData(1));	}  	//영화쿠폰조회
//==========================================================================================================================

//==========================================================================================================================
//|     4.멤버쉽/포인트-Native용
//--------------------------------------------------------------------------------------------------------------------------
function membership_app_01(){ window.location.href=domain+membership_menu1+"?usid="+window.LGMOBILE.getUserData(1);	}		        //멤버십조회
function membership_app_02(){ window.location.href=domain+membership_menu2+"?usid="+window.LGMOBILE.getUserData(1);	}	            //멤버십 카드신청
function membership_app_03(){ logCall('70000000108');window.LGMOBILE.openUplusApp('QA9010026708', 'com.android.membership', true);}	//멤버십앱실행(수정하지 말것)
function membership_app_04(){ window.location.href=domain+membership_menu5+"?usid="+window.LGMOBILE.getUserData(1);}		            //ez포인트조회
function membership_app_05(){ window.location.href=domain+membership_menu3+"?usid="+window.LGMOBILE.getUserData(1);	}	            //멤버십 카드신청 이용약관
function membership_app_06(){ window.location.href=domain+membership_menu4+"?usid="+window.LGMOBILE.getUserData(1);	}	            //멤버십 카드신청 사용자정보 입력
//--------------------------------------------------------------------------------------------------------------------------
//|     4.멤버쉽/포인트-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function membership_01(){ window.location.href=membership_menu1;  }		                                                            //멤버십조회
function membership_02(){ window.location.href=membership_menu2;  }	                                                                //멤버십 카드신청
function membership_03(){ window.location.href=membership_menu3;  }	                                                                //멤버십 카드신청 이용약관
function membership_04(){ window.location.href=membership_menu4;  }	                                                                //멤버십 카드신청 사용자정보 입력
function membership_05(){ logCall('70000000108');window.LGMOBILE.openUplusApp('QA9010026708', 'com.android.membership', true);}	          	//멤버십앱실행(수정하지 말것)
function membership_06(){ window.location.href=membership_menu5;  }		                                                            //ez포인트조회
//--------------------------------------------------------------------------------------------------------------------------
//|     4.멤버쉽/포인트-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function membership_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+membership_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}	//멤버십조회
function membership_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+membership_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}	//멤버십 카드신청
function membership_app_sitemap_03(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} logCall('70000000108');window.LGMOBILE.openUplusApp('QA9010026708', 'com.android.membership', true);	}	//멤버십앱실행(수정하지 말것)
function membership_app_sitemap_04(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+membership_menu5+"?usid="+window.LGMOBILE.getUserData(1));	}	//ez포인트조회
function membership_app_sitemap_05(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+membership_menu3+"?usid="+window.LGMOBILE.getUserData(1));	}	//멤버십 카드신청 이용약관
function membership_app_sitemap_06(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+membership_menu4+"?usid="+window.LGMOBILE.getUserData(1));	}	//멤버십 카드신청 사용자정보 입력
//==========================================================================================================================

//==========================================================================================================================
//|     5.모바일서비스신청/변경-Native용
//--------------------------------------------------------------------------------------------------------------------------
function service_app_01(){  window.location.href=domain+service_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin();  }					    //요금제
function service_app_02(){  window.location.href=domain+service_menu2+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin();  }	                  	//부가서비스
function service_app_03(){  window.location.href=domain+service_menu3+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin();  }			            //결합상품
function service_app_04(){  logCall('50000000115');window.LGMOBILE.openUplusApp('Q13010006059', 'lgt.call', true); }		                    //통화편의APP 실행(수정하지 말것)
//--------------------------------------------------------------------------------------------------------------------------
//|     5.모바일서비스신청/변경-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function service_01(){  window.location.href=service_menu1; }					                                                        //요금제
function service_02(){  window.location.href=service_menu2; }	                                                                      	//부가서비스
function service_03(){  window.location.href=service_menu3; }			                                                                //결합상품
function service_04(){  logCall('50000000115');window.LGMOBILE.openUplusApp('Q13010006059', 'lgt.call', true);}		                        //통화편의APP 실행(수정하지 말것)
//--------------------------------------------------------------------------------------------------------------------------
//|     5.모바일서비스신청/변경-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function service_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+service_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}	//요금제
function service_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+service_menu2+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}	//부가서비스
function service_app_sitemap_03(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+service_menu3+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}	//결합상품
function service_app_sitemap_04(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} logCall('50000000115');window.LGMOBILE.openUplusApp('Q13010006059', 'lgt.call', true);	}	              	//통화편의APP 실행(수정하지 말것)
//==========================================================================================================================

//==========================================================================================================================
//|     6.유선(홈)상품 안내-Native용
//--------------------------------------------------------------------------------------------------------------------------
function cable_app_01(){  window.location.href=domain+cable_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin(); }			                //유선(홈)상품
function cable_app_02(){  window.location.href=domain+cable_menu1+"?pdCategoryCode=CS01&usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin(); }		//070부가서비스
function cable_app_03(){  window.LGMOBILE.openURLViewer('http://shop.uplus.co.kr'); }
function cable_app_04(){  window.LGMOBILE.openURLViewer('http://www.uplus.co.kr/css/note/item/RetrieveItemDstrDisc.hpi'); }
//--------------------------------------------------------------------------------------------------------------------------
//|     6.유선(홈)상품 안내-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function cable_01(){  window.location.href=cable_menu1;  }			                                                                    //유선(홈)상품
function cable_02(){  window.location.href=cable_menu1+"?pdCategoryCode=CS01";  }		                                                //070부가서비스
//--------------------------------------------------------------------------------------------------------------------------
//|     6.유선(홈)상품 안내-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function cable_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+cable_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}		            	//유선(홈)상품
function cable_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+cable_menu1+"?pdCategoryCode=CS01&usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}	//070부가서비스
//==========================================================================================================================

//==========================================================================================================================
//|     7.자주하는질문-Native용
//--------------------------------------------------------------------------------------------------------------------------
function erms_app_01(){ window.location.href=domain+erms_menu1+"?usid="+window.LGMOBILE.getUserData(1); }			                      //자주찾는질문
function erms_app_02(){
	if(window.LGMOBILE.getUserData(1) == "") {
		if(confirm("로그인 이후에 제공되는 메뉴입니다. 고객 가입상품에 따라 메뉴가 달라집니다. 로그인 하시겠습니까?")) {
			window.LGMOBILE.setFavMenu(-1);
			home();
		} else {
			return false;
		}
	} else {
		window.location.href=domain+erms_menu2+"?usid="+window.LGMOBILE.getUserData(1); 
		}			                      //이메일상담
	}
function erms_app_03(){ logCall('70000000108');window.LGMOBILE.openUplusApp('Q04010267946', '.', false);}	//유나이트앱실행(수정하지 말것)	
//--------------------------------------------------------------------------------------------------------------------------
//|     7.자주하는질문-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function erms_01(){ window.location.href=erms_menu1; }			                                                                        //자주찾는질문
function erms_02(){ window.location.href=erms_menu2; }			                                                                        //이메일상담
function erms_03(){ window.location.href=erms_menu3; }				                                                                      //이메일상담내역
//--------------------------------------------------------------------------------------------------------------------------
//|     7.자주하는질문-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function erms_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+erms_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}		//자주찾는질문
function erms_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+erms_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}		//이메일상담
//==========================================================================================================================

//==========================================================================================================================
//|     8.직영점/폰분실신고-Native용
//--------------------------------------------------------------------------------------------------------------------------
function ds_app_01(){ window.location.href=domain+ds_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin(); }			                        //가까운직영점찾기
function ds_app_02(){ window.LGMOBILE.openURLViewer('http://www.uplus.co.kr/css/repr/lsrg/RetrieveLosspLocSrchInfo.hpi?mid=2471'); }     //폰분실일시정지 
function ds_app_03(){ window.location.href=domain+ds_menu3+"?usid="+window.LGMOBILE.getUserData(1); }				                    //제조사AS센터
function ds_app_04(){ serviceApp('Q13005868705','lg.uplusbox'); }     //폰백업유박스
function serviceApp(prodCode, appPackNm){
	var strProdCode = prodCode.trim();
	var strAppPackNm = appPackNm.trim();
	logCall('10000001107');
	window.LGMOBILE.openUplusApp(strProdCode, strAppPackNm, true);
}
//--------------------------------------------------------------------------------------------------------------------------
//|     8.직영점/폰분실신고-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function ds_01(){ window.location.href=ds_menu1; }			                                                                            //가까운직영점찾기
function ds_02(){ window.location.href=ds_menu2; }			                                                                            //폰분실일시정지
function ds_03(){ window.location.href=ds_menu3; }				                                                                        //제조사AS센터
//--------------------------------------------------------------------------------------------------------------------------
//|     8.직영점/폰분실신고-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function ds_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+ds_menu1+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}			//가까운직영점찾기
function ds_app_sitemap_02(){ alert('서비스 준비중입니다');	}																		//폰분실일시정지
function ds_app_sitemap_03(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+ds_menu3+"?usid="+window.LGMOBILE.getUserData(1));	}			//제조사AS센터
//==========================================================================================================================

//==========================================================================================================================
//|     9.글로벌로밍-Native용
//--------------------------------------------------------------------------------------------------------------------------
function roaming_app_01(){ window.location.href=domain+roaming_menu1+"?usid="+window.LGMOBILE.getUserData(1); }			                //로밍국가검색
function roaming_app_02(){ window.location.href=domain+roaming_menu2+"?usid="+window.LGMOBILE.getUserData(1); }			                //공항로밍센터
function roaming_app_03(){ window.location.href=domain+roaming_menu3+"?usid="+window.LGMOBILE.getUserData(1); }				              //로밍부가서비스
function roaming_app_04(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} logCall('50000000115');window.LGMOBILE.openUplusApp('Q13010134048', 'com.pineone.easyRoamingService', true);	}//로밍편의APP 실행(수정하지 말것)
//--------------------------------------------------------------------------------------------------------------------------
//|     9.글로벌로밍-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function roaming_01(){ window.location.href=roaming_menu1; }			                                                                  //로밍국가검색
function roaming_02(){ window.location.href=roaming_menu2; }			                                                                  //공항로밍센터
function roaming_03(){ window.location.href=roaming_menu3; }				                                                                //로밍부가서비스
//--------------------------------------------------------------------------------------------------------------------------
//|     9.글로벌로밍-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function roaming_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+roaming_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}			//로밍국가검색
function roaming_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+roaming_menu2+"?usid="+window.LGMOBILE.getUserData(1));	}			//공항로밍센터
function roaming_app_sitemap_03(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+roaming_menu3+"?usid="+window.LGMOBILE.getUserData(1));	}			//로밍부가서비스
//==========================================================================================================================

//==========================================================================================================================
//|     91.메뉴-Native용
//--------------------------------------------------------------------------------------------------------------------------
function common_app_01(){ window.location.href=domain+common_menu1+"?usid="+window.LGMOBILE.getUserData(1); }			                  //공지사항
function common_app_02(){ window.location.href=domain+common_menu2+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin(); }			                  //U+APP
function common_app_03(){ window.location.href=domain+common_menu3+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin(); }				                //이벤트
function common_app_04(){ window.location.href=domain+common_menu4+"?usid="+window.LGMOBILE.getUserData(1); }				                //설정
function common_app_05(){ window.location.href=domain+common_menu5+"?usid="+window.LGMOBILE.getUserData(1); }				                //즐겨찾기
//--------------------------------------------------------------------------------------------------------------------------
//|     91.메뉴-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function common_01(){ window.location.href=common_menu1; }			                                                                    //공지사항
function common_02(){ window.location.href=common_menu2; }			                                                                    //U+APP 
function common_03(){ window.location.href=common_menu3; }				                                                                  //이벤트
function common_04(){ window.location.href=common_menu4; }				                                                                  //설정
function common_05(){ window.location.href=common_menu5+"?versionName="+versionName; }				                                                                  //즐겨찾기
//--------------------------------------------------------------------------------------------------------------------------
//|    	91.메뉴-Native용(SiteMap)
//--------------------------------------------------------------------------------------------------------------------------
function common_app_sitemap_01(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu1+"?usid="+window.LGMOBILE.getUserData(1));	}			//공지사항
function common_app_sitemap_02(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu2+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}			//U+APP
function common_app_sitemap_03(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu3+"?usid="+window.LGMOBILE.getUserData(1)+"&isReLogin="+window.LGMOBILE.isReLogin());	}			//이벤트
function common_app_sitemap_04(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu4+"?usid="+window.LGMOBILE.getUserData(1));	}			//설정
function common_app_sitemap_05(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu5+"?usid="+window.LGMOBILE.getUserData(1));	}			//즐겨찾기
function common_app_sitemap_06(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu6+"?usid="+window.LGMOBILE.getUserData(1));	}			//이용약관

//기변이벤트 테스트 URL mgr에 적용하지 말 것 [[
function common_app_sitemap_07(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu7+"?usid="+window.LGMOBILE.getUserData(1));	}			//기변이벤트테스트
//소액결제 비번설정 테스트 URL mgr적용하지 말 것
function common_app_sitemap_08(){ if(window.LGMOBILE.getAppVersionName() != '3.00.01'){window.LGMOBILE.setFavMenu(-1);} window.LGMOBILE.onSitemapDetail(domain+common_menu8+"?usid="+window.LGMOBILE.getUserData(1)+"&prodNo="+window.LGMOBILE.getPhoneNumber()+"&prodNoCh="+window.LGMOBILE.getPhoneNumber()+"&underAge=over");	}			//소액결제 비번설정 테스트
//기변이벤트 테스트 URL mgr에 적용하지 말 것 ]]
//==========================================================================================================================

//==========================================================================================================================
//|     99.본인인증-Native용
//--------------------------------------------------------------------------------------------------------------------------
function auth_app_01(){ window.location.href=domain+auth_menu1+"?usid="+window.LGMOBILE.getUserData(1); }			                  //신용카드/아이핀 인증 선택
function auth_app_02(){ window.location.href=domain+auth_menu2+"?usid="+window.LGMOBILE.getUserData(1); }			                  //신용카드 인증
function auth_app_03(){ window.location.href=domain+auth_menu3+"?usid="+window.LGMOBILE.getUserData(1); }				                //아이핀 인증
//--------------------------------------------------------------------------------------------------------------------------
//|     99.본인인증-WebView용
//--------------------------------------------------------------------------------------------------------------------------
function auth_01(){ window.location.href=auth_menu1; }			                                                                    //신용카드/아이핀 인증 선택
function auth_02(){ window.location.href=auth_menu2; }			                                                                    //신용카드 인증
function auth_03(){ window.location.href=auth_menu3; }				                                                                  //아이핀 인증
//==========================================================================================================================
function forme_main(){ window.location.href=domain+forme_url; }		
//소액결제
function forme_d0(){ window.location.href=domain+formeD0_url; }		
//분실정지
function forme_d1(){ window.location.href=domain+formeD1_url; }
//LTE 서비스
function forme_d2(){ window.location.href=domain+formeD2_url; }		
//개인정보 보호
function forme_d3(){ window.location.href=domain+formeD3_url; }		
//==========================================================================================================================

//==========================================================================================================================

//약관 동의 설정
function user_agreeYn() {window.LGMOBILE.openSubActivity(1, domain+user_agreeYn+"?usid="+window.LGMOBILE.getUserData(1));}

//개인정보 수집.이용 동의
function agree_setup(){ window.location.href=setup_menu1; }

//위치기반 정보제공 및 광고전송 서비스 동의
function agree_info(){ window.location.href=setup_menu2; }

//비밀번호 설정/변경.
//function pwd_app_update(){  window.location.href=domain+passwd_setup;  }

//비밀번호 설정/변경.
function pwd_app_update(){
	window.LGMOBILE.onWebload(true);
	var httpsDoamin = domain;
	/*유플러스 모바일  고객 체크*/
	var loginUrl = domain+"/front/login/checkMobileCmd.upa";
	var phoneNb = window.LGMOBILE.getPhoneNumber();
	
	param = {prodNo : phoneNb};
	
	
	$.getJSON(loginUrl, param)
	.done(function(data) {
		window.LGMOBILE.onWebload(false);
		if(data.success == "2") {
			window.location.href=domain+"/html/main/error1.html";
			return;
			
		} else if(data.success == "1") {
			window.LGMOBILE.setCustKdCd("");
		}else {//ok
			window.LGMOBILE.setConnMobileNum();
			window.LGMOBILE.setCustKdCd(data.custKdCd);
		}
		
		if(window.LGMOBILE.getCustKdCd() == ""){
			alert("LG U+로 개통된 휴대폰만 이용하실 수 있습니다. 홈페이지 ID로그인을 이용해 주십시오.");
			$("#pw_pwd").val("");
			return false;
		}else{
			window.LGMOBILE.openSubActivity(2, domain+passwd_setup);
		}
		
	})
	.fail(function(jqxhr, textStatus, error){
		window.LGMOBILE.onWebload(false);
		//alert("LG U+로 개통된 휴대폰만 이용하실 수 있습니다. 홈페이지 ID로그인을 이용해 주십시오.");
		window.location.href= domain+"/html/main/error1.html";
		return;
	});
	
	
}

//이용안내 
function view_useful(){window.location.href=domain+"/html/guide/guide1.html";}

//이용안내 닫기
function useful_close(){window.LGMOBILE.onViewUseFulClose();}


//베너상세보기
function banner_detail(session_id){ window.location.href= domain+banner_detail_url+session_id; }	

function logCall(menuid)
{
	//hidden_frame.location.href="/logPrint.jsp?menuid="+menuid;	//jsp로 로그남김
	hidden_frame.location.href=domain+"/front/common/saveLog.upa?menuid="+menuid;	//cmd로 로그남김
}

/**
 * 히든 필드 생성
 */
function createHiddenField(formObj, fieldId, value, isDuplicate){
	var checkDuplicate = false;
	if( isDuplicate ){
		checkDuplicate = isDuplicate;
	}
	
	if(value == null){
		alert("NULL");
		value='';
	}
	
	if( formObj[fieldId] && !checkDuplicate ){
		formObj[fieldId].value = value;
	}else{
		var fieldObj = document.createElement('input');

		fieldObj.type = 'hidden';
		fieldObj.id = fieldId;
		fieldObj.name = fieldId;
		fieldObj.value = value;

		formObj.appendChild(fieldObj);
	}
}

//잔여량 에러 페이지 상세 
function charge_app_error(){
	var grideType = window.LGMOBILE.getUserData(38);
	if(grideType != '' ){
		if(grideType == '1'){
			charge_app_01();
		}else{
			charge_app_02();
		}
	}else{
		charge_app_01();
	}	
}	                                                                    //청구요금(상세그래프)





//==========================================================================================================================
//|    [2015 앱 고도화 1차] 2015.04.23 메인 검색 영역
//--------------------------------------------------------------------------------------------------------------------------
/*function main_search_app_01(question){ 
	if(window.LGMOBILE.getUserData(1) == "" || window.LGMOBILE.getUserData(1) == null) {
		if(confirm("로그인 후 이용 가능합니다. 로그인 하시겠습니까?")) {
			home();
		} else {
			return false;
		}
	} else {
		window.location.href=domain+erms_menu1+"?usid="+window.LGMOBILE.getUserData(1)+ "&mainQuestion="+question;
	}
}*/

function main_search_app_01(searchWord){
//	window.location.href=domain+erms_menu1+"?usid="+window.LGMOBILE.getUserData(1)+ "&mainQuestion="+question;
    window.location.href=domain+search_menu_url+"?usid="+window.LGMOBILE.getUserData(1)+ "&mainSearch="+searchWord+"&userType="+window.LGMOBILE.getUserData(26);
}

//==========================================================================================================================
//|    [2015 앱 고도화 1차] 2015.04.23 전체메뉴리스트
//--------------------------------------------------------------------------------------------------------------------------
function common_all_menu(){ 
	if(window.LGMOBILE.getUserData(1) == "" || window.LGMOBILE.getUserData(1) == null) {
		if(confirm("로그인 후 이용 가능합니다. 로그인 하시겠습니까?")) {
			home();
		} else {
			return false;
		}
	} else {
		if (window.LGMOBILE.getUserData(26) != "" && window.LGMOBILE.getUserData(26) != null ) {
			window.LGMOBILE.onMenuActivity(domain+"/front/menu/allMenuList.upa?usid="+window.LGMOBILE.getUserData(1)+"&userType="+window.LGMOBILE.getUserData(26), "Y"); 
		} else {
			alert("장시간 미이용으로 로그아웃되었습니다.");
			errorSession("");
		}
	}
}
//==========================================================================================================================
//|    [2015 앱 고도화 1차] 2015.04.27 모바일 가입 안내
//--------------------------------------------------------------------------------------------------------------------------
function common_device_guide(){ window.location.href=domain+"/jsp/guide/retrieveDeviceChange.jsp";}
//==========================================================================================================================
//|    [2015 앱 고도화 1차] 2015.04.27 홈상품 가입 안내
//--------------------------------------------------------------------------------------------------------------------------
function common_home_guide(){ window.location.href=domain+"/front/home/retrieveHomeInformationCmd.upa";}